import { HttpMethod } from './HttpMethod';
import { HttpTransport } from './HttpTransport';
import { Response } from './Response';
import { HttpInterceptor } from './HttpInterceptor';
import { Logger } from './../../../utils/BasicLogger';
export declare class HttpTransportSyncedImpl implements HttpTransport {
    private interceptors;
    private transactions;
    private headers;
    private host;
    private logger;
    constructor(host: string, loggerService: Logger);
    addInterceptor(interceptor: HttpInterceptor): HttpTransport;
    sendRequest(method: HttpMethod, data?: any): Promise<Response>;
    sendBlobRequest(path: string, method: HttpMethod, headers: Map<string, string>, data?: any, file?: File): Promise<Response>;
    getHost(): string;
    private acceptInterceptor;
    private runTransaction;
    private callNextRequest;
}
